import { IEngine } from '../src/interfaces';
export declare class Engine {
    private rules;
    status: IEngine.IContextStatus;
    context: IEngine.IContext<any>;
    constructor();
    /**
     * @method updateStats
     * @desc Checks the final status of tests if no errors are thrown.
     */
    private updateStats;
    /**
     * @method subscribe
     * @desc Register rules.
     * @param rules
     * @param facts
     */
    subscribe<M>(rules: IEngine.IRules<M>, facts: IEngine.IFacts<M>): this;
    /**
     * @method run
     * @desc Run rule tests.
     */
    run(): this;
}
