import { IOperator } from './interfaces';
/**
 * @function $less
 * @desc Expression (a < b)
 * @param a
 * @param b
 */
export declare const $less: <A = number>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $lessOrEqual
 * @desc Expression (a <= b)
 * @param a
 * @param b
 */
export declare const $lessOrEqual: <A = number>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $greater
 * @desc Expression (a > b)
 * @param a
 * @param b
 */
export declare const $greater: <A = number>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $greaterOrEqual
 * @desc Expression (a >= b)
 * @param a
 * @param b
 */
export declare const $greaterOrEqual: <A = number>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $equal
 * @desc Expression (a === b)
 * @param a
 * @param b
 */
export declare const $equal: <A = IOperator.IEqual>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $diff
 * @desc Expression (a !== b)
 * @param a
 * @param b
 */
export declare const $diff: <A = IOperator.IEqual>(a: A, b: A) => IOperator.IBuilder;
/**
 * @function $diff
 * @desc Expression (a.includes(b))
 * @param a
 * @param b
 */
export declare const $in: <A = IOperator.In>(a: A, b: IOperator.IEqual) => IOperator.IBuilder;
/**
 * @function $notIn
 * @desc Expression (!a.includes(b))
 * @param a
 * @param b
 */
export declare const $notIn: <A = IOperator.In>(a: A, b: IOperator.IEqual) => IOperator.IBuilder;
